// The package containing our stubs.
import HelloWorld.*;
import org.omg.PortableServer.*;

public class HelloFactoryImpl extends HelloFactoryPOA
{  
    public Hello createHello(String name)
    {
	    // Encode the name in the object ID
		byte[] id = name.getBytes();
		POA poa = _poa();

	    // Create a new object reference(!) with
		// the given object ID
		org.omg.CORBA.Object obj = poa.create_reference_with_id(id,"IDL:Hello:1.0");
		return HelloHelper.narrow(obj);
	}
}
